# -*- coding: utf-8 -*-
# @Time : 2023/8/15 9:43
# @Author : XuJiakai
# @File : case_utils
# @Software: PyCharm
import re
import datetime

_case_no_year_pattern = re.compile("^[（(](\\d{4}?)[）)].+$")


def case_no_year_datetime(case_no, add_year: int = 0):
    if not case_no:
        return None

    match = _case_no_year_pattern.match(case_no)
    if match:
        res = match.group(1)
        return datetime.datetime(year=int(res) + add_year, month=1, day=1)
    else:
        return None
    pass


if __name__ == '__main__':
    year_datetime = case_no_year_datetime("（2102）豫1681 民初535 号", 1)
    print(year_datetime)
    pass
